package com.inoct.NoctuAuthenticator.validation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

@Constraint(validatedBy = ValidateUserValidator.class)
@Target({ElementType.TYPE}) // Apply this annotation at the class level
@Retention(RetentionPolicy.RUNTIME)
public @interface ValidateUser {
    String message() default "Invalid user details";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
