package com.inoct.NoctuAuthenticator.service;

import com.inoct.NoctuAuthenticator.dto.UserDTO;
import com.inoct.NoctuAuthenticator.entity.User;
import org.springframework.stereotype.Service;
import java.util.List;


public interface UserService {

    List<UserDTO> findAllUsers();

    UserDTO authenticateUser(String userName, String password);

    UserDTO getUserById(Long id);

    User createUser(UserDTO user);

    void deleteUser(Long id);

    UserDTO findUserByUsername(String username);

    UserDTO findUserByEmail(String email);

    UserDTO updateUser(Long id, User userDetails);

} 